﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace UploaderInsideDialog.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var data = GetRecords().ToList();
            ViewBag.dataSource = data;
            return View();
        }

        public ActionResult EditPartialTest(EmployeeData emp)
        {
            return PartialView("_DialogPartialView", emp);
        }

        public static List<EmployeeData> GetRecords()
        {
            List<EmployeeData> emp = new List<EmployeeData>();
            var code = 0;
            for (var i = 2; i < 9; i++)
            {

                emp.Add(new EmployeeData() { EmployeeID = code + 1, FirstName = "Nancy", Title = "Sales Representative" });
                emp.Add(new EmployeeData() { EmployeeID = code + 2, FirstName = "Andrew", Title = "Sales Manager" });
                emp.Add(new EmployeeData() { EmployeeID = code + 3, FirstName = "Janet", Title = "Vice President, Sales" });
                emp.Add(new EmployeeData() { EmployeeID = code + 4, FirstName = "Margaret", Title = "Inside Sales Coordinator" });
                emp.Add(new EmployeeData() { EmployeeID = code + 5, FirstName = "Robert", Title = "General Manager" });
                code = code + 5;
            }
            return emp;
        }

        public class EmployeeData
        {
            public int EmployeeID { get; set; }
            public string FirstName { get; set; }
            public string Title { get; set; }
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }

}
